// NPCs should leave the party forever when asked to leave at a time when they're unhappy
// singles
REPLACE_TRIGGER_TEXT _alorap ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _branwp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _ajantp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _yeslip ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _safanp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _kivanp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _imoenp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _tiaxp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _quaylp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _viconp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _garrip ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _kagaip ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _edwinp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _xanp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _faldop ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _coranp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~
REPLACE_TRIGGER_TEXT _shartp ~HappinessLT(Myself,-290)~ ~HappinessLT(Myself,0)~

// pairs
REPLACE_TRIGGER_TEXT _khalip ~HappinessLT(Myself,-290)
InParty("Jaheira")~
~HappinessLT(Myself,0)
InParty("Jaheira")~
REPLACE_TRIGGER_TEXT _khalip ~HappinessLT(Myself,-290)
!InParty("Jaheira")~
~HappinessLT(Myself,0)
!InParty("Jaheira")~
REPLACE_TRIGGER_TEXT _jaheip ~HappinessLT(Myself,-290)
InParty("Khalid")~
~HappinessLT(Myself,0)
InParty("Khalid")~
REPLACE_TRIGGER_TEXT _jaheip ~HappinessLT(Myself,-290)
!InParty("Khalid")~
~HappinessLT(Myself,0)
!InParty("Khalid")~

REPLACE_TRIGGER_TEXT _minscp ~HappinessLT(Myself,-290)
InParty("Dynaheir")~
~HappinessLT(Myself,0)
InParty("Dynaheir")~
REPLACE_TRIGGER_TEXT _minscp ~HappinessLT(Myself,-290)
!InParty("Dynaheir")~
~HappinessLT(Myself,0)
!InParty("Dynaheir")~
REPLACE_TRIGGER_TEXT _dynahp ~HappinessLT(Myself,-290)
InParty("Minsc")~
~HappinessLT(Myself,0)
InParty("Minsc")~
REPLACE_TRIGGER_TEXT _dynahp ~HappinessLT(Myself,-290)
!InParty("Minsc")~
~HappinessLT(Myself,0)
!InParty("Minsc")~

REPLACE_TRIGGER_TEXT _eldotp ~HappinessLT(Myself,-290)
InParty("Skie")~
~HappinessLT(Myself,0)
InParty("Skie")~
REPLACE_TRIGGER_TEXT _eldotp ~HappinessLT(Myself,-290)
!InParty("Skie")~
~HappinessLT(Myself,0)
!InParty("Skie")~
REPLACE_TRIGGER_TEXT _Skiep ~HappinessLT(Myself,-290)
InParty("Eldoth")~
~HappinessLT(Myself,0)
InParty("Eldoth")~
REPLACE_TRIGGER_TEXT _Skiep ~HappinessLT(Myself,-290)
!InParty("Eldoth")~
~HappinessLT(Myself,0)
!InParty("Eldoth")~

REPLACE_TRIGGER_TEXT _xzarp ~HappinessLT(Myself,-290)
InParty("Montaron")~
~HappinessLT(Myself,0)
InParty("Montaron")~
REPLACE_TRIGGER_TEXT _Xzarp ~HappinessLT(Myself,-290)
!InParty("Montaron")~
~HappinessLT(Myself,0)
!InParty("Montaron")~
REPLACE_TRIGGER_TEXT _Montap ~HappinessLT(Myself,-290)
InParty("Xzar")~
~HappinessLT(Myself,0)
InParty("Xzar")~
REPLACE_TRIGGER_TEXT _Montap ~HappinessLT(Myself,-290)
!InParty("Xzar")~
~HappinessLT(Myself,0)
!InParty("Xzar")~

